/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.controller.mobile.moxy.views;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@XmlRootElement(name = "paymentTracking")
public class PaymentTrackingViewJaxb {

    private String id;

    private Integer totalExpected;

    private Integer totalNow;

    @XmlElement(name = "id")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @XmlElement(name = "totalExpected")
    public Integer getTotalExpected() {
        if (null == totalExpected) {
            totalExpected = 0;
        }
        return totalExpected;
    }

    public void setTotalExpected(Integer totalExpected) {
        this.totalExpected = totalExpected;
    }

    @XmlElement(name = "totalNow")
    public Integer getTotalNow() {
        if (null == totalNow) {
            totalNow = 0;
        }

        return totalNow;
    }

    public void setTotalNow(Integer totalNow) {
        this.totalNow = totalNow;
    }

}
